package com.red.circle.other.infra.database.mongo.service.game;

import com.red.circle.other.infra.database.mongo.entity.game.trumpet.GameTrumpetCount;
import com.red.circle.other.infra.database.mongo.entity.game.trumpet.query.GameTrumpetQuery;
import java.util.List;

/**
 * <p>
 * 喇叭 前端控制器.
 * </p>
 *
 * @author pengshigang
 * @since 2022-8-24
 */
public interface GameTrumpetCountService {

  /**
   * 添加.
   */
  void add(GameTrumpetCount gameBarrageCount);

  /**
   * 获取最近的topSize条记录.
   */
  List<GameTrumpetCount> listLatestTopSize(String sysOrigin, List<String> languages,
      Integer topSize);

  /**
   * 根据id删除.
   */
  void deleteById(Long id, Long updateUser);

  /**
   * 查询记录.
   */
  List<GameTrumpetCount> list(GameTrumpetQuery query);

}
